package test.doorlock;

/**
 * Created with IntelliJ IDEA.
 * User: Hakara
 * Date: 30/04/13
 * Time: 12:40
 * To change this template use File | Settings | File Templates.
 */

import common.*;

public class TestDoorLockMachine {

    enum DoorLockPriority {
        LOW,
        HIGH,
        MED
    }

    public static void main(String...args){
        DoorLockMachine dlm = new DoorLockMachine();

        Runnable open = ()-> dlm.dls.door.open();
        Runnable error = ()-> {throw new NullPointerException();};
        dlm.send(new Action(open));
        Utils.waitFor(200);
        dlm.send(new Action(open));
        Utils.waitFor(200);
        dlm.send(new Action(open));
        Utils.waitFor(200);
        dlm.send(new Action(open));
        Utils.waitFor(200);
        dlm.send(new Action(DoorLockPriority.LOW.ordinal(),error));
        Utils.waitFor(200);

        dlm.start();
    }


}
