package test.algotrading;

/**
 * Created with IntelliJ IDEA.
 * User: Hakara
 * Date: 03/05/13
 * Time: 11:48
 * To change this template use File | Settings | File Templates.
 */

import common.*;
import test.algotrading.marketdata.Tick;
import java.util.*;

public class LimitOrderState extends State{

    enum Direction {
       BUY,
       SELL
    }

    final int volume;
    final double price;
    final Direction direction;
    final Runnable strategy;

    int traded = 0;

    public final Map<String,Tick> tickCache = new HashMap<String,Tick>();

    LimitOrderState(Machine m, Direction dir, int vol, double prc, Runnable strat){
        super(m);
        direction = dir;
        volume = vol;
        price = prc;
        strategy = strat;
    }

}
