package test.algotrading.marketdata;

/**
 * Created with IntelliJ IDEA.
 * User: Hakara
 * Date: 03/05/13
 * Time: 12:01
 * To change this template use File | Settings | File Templates.
 */

import common.*;
import test.algotrading.LimitOrderMachine;

import java.util.LinkedList;
import java.util.List;

public class MarketDataFeedState extends State{

    final List<LimitOrderMachine> subscribers = new LinkedList<LimitOrderMachine>();

    MarketDataFeedState(Machine m){
        super(m);
    }

    private void submitMarketData(){
        for (LimitOrderMachine om : subscribers){
            om.send(new Action(()->updateTrade(om)));
        }
    }

    private void updateTrade(LimitOrderMachine om){
       Tick randomTick = new Tick(Tick.Type.QUOTE,"IBM",1000,Math.random()+4);
       om.los.tickCache.put("IBM",randomTick);
    }
}
