package test.doorlock;

/**
 * Created with IntelliJ IDEA.
 * User: Hakara
 * Date: 30/04/13
 * Time: 11:49
 * To change this template use File | Settings | File Templates.
 */

import common.*;

public class Door extends State {

    public Door(Machine m){
        super(m);
    }

    boolean isOpen = false;

    Lock lock = new Lock();

    Proposition closedAndLocked = ()->isOpen==false && lock.isLocked==true;
    Proposition closedAndUnlocked = ()->isOpen==false && lock.isLocked==false;
    Proposition openAndUnlocked = ()->isOpen==true && lock.isLocked==false;
    Proposition openAndLocked = ()->isOpen==true && lock.isLocked==true;

    void open(){
       this.machine.execute(()-> openImp(),closedAndLocked, closedAndUnlocked, openAndUnlocked, openAndLocked);
    }

    Proposition open = ()->isOpen==true;
    Proposition closed = ()->isOpen==false;

    private void openImp(){
        if (closedAndLocked.eval()){
            this.machine.execute(() -> System.out.println("Cannot open door as it is locked"),closedAndLocked);
        } else if (closedAndUnlocked.eval()){
            this.machine.execute(() -> isOpen = true, closed);
            this.machine.execute(() -> System.out.println("door was opened"),open);
        } else if (openAndUnlocked.eval()){
            this.machine.execute(() -> System.out.println("door is already open"),open);
        } else if (openAndLocked.eval()){
            this.machine.execute(() -> System.out.println("door is already open"),open);
        }
    }
}
